package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class JenisAlatKesehatan
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "JenisAlatKesehatan_M")
public class JenisAlatKesehatanVO extends BaseMasterVO {
	@Caption(value="Jenis Alkes")
	private String jenisAlkes;

	public void setJenisAlkes(String jenisAlkes) {
		this.jenisAlkes = jenisAlkes;
	}

	@Column(name = "JenisAlkes", nullable = false , length = 100)
	public String getJenisAlkes(){
		return this.jenisAlkes;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@Caption(value="Kode Jenis Alkes")
	private Byte kdJenisAlkes;

	public void setKdJenisAlkes(Byte kdJenisAlkes) {
		this.kdJenisAlkes = kdJenisAlkes;
	}

	@Column(name = "KdJenisAlkes", nullable = false )
	public Byte getKdJenisAlkes(){
		return this.kdJenisAlkes;
	}

	/*//
	@OneToMany(fetch=FetchType.LAZY, cascade = CascadeType.ALL, mappedBy="kdjenisalkes")
	private Set<AlatKesehatan> AlatKesehatanSet = new HashSet<AlatKesehatan>();

	public Set<AlatKesehatan> getAlatKesehatanSet() {
		return AlatKesehatanSet;
	}

	public void setAlatKesehatanSet(Set<AlatKesehatan> alatKesehatanSet) {
		AlatKesehatanSet = alatKesehatanSet;
	}*/
	
}

